Bug 223124 - When running a js file with Node, the log window should have close action.
When running a js file with Node, the log window should have close action.
Status: RESOLVED FIXED
Product: updatecenters
Classification: Unclassified
Component: Pluginportal
7.3
PC Linux
: P3 (vote)
: TBD
Assigned To: danielkec
issues@updatecenters
: NO73
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-02 12:53 UTC by fortruth
Modified: 2014-03-24 16:15 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fortruth 2012-12-02 12:53:59 UTC
Product Version = NetBeans IDE Dev (Build 201211300001)
Operating System = Linux version 3.5.0-19-generic running on amd64
Java; VM; Vendor = 1.7.0_09
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.5-b02


such as, have a close button side by the log window. then would the start, restart...........
Comment 1 Martin Fousek 2012-12-03 15:15:40 UTC
What you mean by running js file with Node?

Do you mean to support action like direct running JS files from the IDE? Sorry I don't understand to issue you are facing.
Comment 2 Vladimir Riha 2012-12-06 07:24:53 UTC
Perhaps fortruth is referring to this plugin? http://plugins.netbeans.org/plugin/36653/nodejs


Btw you can use PHP project type for your NodeJS application and select a custom script to run your PHP project which would be "node". And I think that in this case there was a stop button, but I'm not sure about that...
Comment 3 Petr Jiricka 2012-12-06 12:55:58 UTC
Nodejs plugin is not a part of the standard distribution, so this bug does not apply to 7.3.
Comment 4 Jiri Kovalsky 2013-07-17 20:04:33 UTC
Danieli, can you please take a look at this issue? Thanks a lot.
Comment 5 fortruth 2013-08-13 04:27:45 UTC
there is another project an replace it.

https://github.com/timboudreau/nb-nodejs

and in this project, the server started can stop/restart
Comment 6 fortruth 2013-12-24 08:00:11 UTC
it not netbeans's problem, but plugin's
Comment 7 danielkec 2014-03-24 16:15:03 UTC
Fixed in the version 2.2 for nb8.

http://plugins.netbeans.org/plugin/36653


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo